drop procedure if exists public.sp_SetExpirePolicies;
-- =============================================
-- Author:  Vitacard System
-- Create date: 2009/06/18
-- Description: Проставляет дату окончания полисов.
-- =============================================
CREATE PROCEDURE public.sp_SetExpirePolicies()
AS
$$
BEGIN
	Update akuz.T_POLICY p
	Set	ValidThrough = ep.ExpireDate
	From akuz.T_EXPIRE_POLICY ep
	Where p.Number = ep.Number
	And Right(p.Serial, char_length(ep.Serial)) = ep.Serial; -- ищем совпадение по последним буквам серии ('16 АБ' == 'АБ')
END;
$$ LANGUAGE plpgsql;